Bug 249099 - with an add option, there should be a remove option
with an add option, there should be a remove option
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Jim Parsons
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-20 17:36 EDT by Corey Marthaler
Modified: 2009-04-16 18:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-23 11:02:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2007-07-20 17:36:14 EDT
Description of problem:
To add something, one only needs to go to the left column and find whatever it
is one would like to add, but there is no intuitive way to remove anything.
After asking I learned that you have to go to "homebase" -> "Manage Systems" and
 from there all you can really do is either remove a cluster or a node. So
instead of "Manage Systems" why not call it "Remove Systems"? I was still unable
to find a way to remove resources and services however.


Version-Release number of selected component (if applicable):
luci-0.10.0-2.el5
ricci-0.10.0-2.el5
Comment 1 Jim Parsons 2007-07-21 01:24:26 EDT
The homebase page is for adding and removing systems to be managed. For example,
when you remove a cluster on the homebase page, you are not tearing the cluster
down...you are simply telling your luci server to forget about this cluster.
This is detailed in all documentation.

On the cluster tab is where you add or delete, say nodes or clusters, or fdoms,
or whatever. At every config page there is a way to delete whatever entity you
are focused on; that is, you have selected a context by navigation. 

I think you may be getting confused between the servers inventory of systems it
is managing and the actual cluster entities.

On the cluster tab, you seem to be saying that in the nav tables on the left
hand side, there should be a remove link as well as an add link. 
1) The configure link offers the means to delete any cluster entity.
2) Having a delete link as well as an add link for every cluster entity would
really make those nav tables alot busier visually
3) The typical operation when building out a cluster is to add entities rather
than delete them...the typical case is given more UI weight by the link offered.

Does this explanation change your feeling about this bug?
Comment 2 Corey Marthaler 2007-07-23 11:02:32 EDT
This explanation does change my feellings. :)

Note You need to log in before you can comment on or make changes to this bug.